Subject: [dhcwg] WGLC for draft-ietf-dhc-dhcpv6-unknown-msg-03 - Respond by Dec 2, 2013

From: "Bernie Volz (volz)" <[email-masked]>
Date: Mon, 18 Nov 2013 17:15:24 +0000

Folks, the authors of draft-ietf-dhc-dhcpv6-unknown-msg-03 (http://tools.ietf.org/html/draft-ietf-dhc-dhcpv6-unknown-msg-03) believe it is ready for working group last call. Please review this draft and indicate whether or not you feel it is ready to be published. Your input is important! Please respond by Dec 2nd, 2013.

At the time of this writing, there is no IPR reported against this draft.

Thanks,

-          Tomek & Bernie

---

From: Sheng Jiang <[email-masked]>
Date: Tue, 19 Nov 2013 03:28:08 +0000

I have reviewed this document. Overall, I support to advance this document. There are several comments that may help the author to improve the document.

A couple of statements regarding to RFC3315 is not exactly correct”

In section 3, “RFC3315 doesn’t explicitly describe how the relay  agent can find out it should send a message towards the server or  towards the client.”

And In section 4.1, RFC 3315 “doesn’t define what a valid message is.” (Section 15 of RFC 3315 has defined how to valid every known type message.)

I believe these are only description issues that can be addressed with small changes of text. RFC3315 has clearly define both relay behavior and validation for all known message type. If the authors clarify the abovementioned statements only in the sense of unknown message, then the statement could become correct.

The last paragraph of section 4.1, the authors state “Then the server knows  the relay agent doesn’t support the new message.” How? There is no mechanism for server to identify whether the relay agent support the new message or not. However, on other side,  the server does not need to know whether the relay agent support the new message or not.

In section 5, it could be better to clearly define whether discarding is silent or some notification behavior. I guess silent discarding is simplest.

In section 6, the authors claim the current server or clients are vulnerable by unknown messages. It is unclear why. Although the current DHCPv6 specification does not define the discard behavior for unknown messages. It is an obvious choice of implementers. Personally, I don’t think there is reality threat by unknown messages.

Other editorial comments:

There are a few places using abbreviation, such as it’s doesn’t. It is informal to have them in a RFC.

There are several places the authors used relay/relays, which should be relay agent/agents.

It should be consistent “to client”, “towards client” or “toward client”.

In section 6, “The same  problem may happen in current DHCPv4 and DHCPv6 practice where the  attacker has to construct the fake DHCP message with an known type  code.” I guess “has to” is a mistake.

Best regards,

Sheng

From: [email-masked] [mailto:[email-masked]] On Behalf Of Bernie Volz (volz)
Sent: Tuesday, November 19, 2013 1:15 AM
To: [email-masked]
Subject: [dhcwg] WGLC for draft-ietf-dhc-dhcpv6-unknown-msg-03 - Respond by Dec 2, 2013

Thanks,

-        Tomek & Bernie

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 27 Nov 2013 21:31:03 +0000

This is friendly reminder that we need responses by end of day (anywhere in the world) December 2nd. Sorry for the 'late' reminder for those in the US enjoying Thanksgiving.

So far, there has only been Sheng's (document shepherd) comments.

<WG Co-Chair Hat OFF>
I add my support for this document (with Sheng's comments addressed as he captured my nits and more).

-          Bernie

From: [email-masked] [mailto:[email-masked]] On Behalf Of Bernie Volz (volz)
Sent: Monday, November 18, 2013 12:15 PM
To: [email-masked]
Subject: [dhcwg] WGLC for draft-ietf-dhc-dhcpv6-unknown-msg-03 - Respond by Dec 2, 2013

Thanks,

-          Tomek & Bernie

---

From: <[email-masked]>
Date: Thu, 28 Nov 2013 08:54:49 +0100

I support this document moving forward (including Sheng’s comments).

Can I add the following editorial suggestion for readability?:

Section 4.1
replace:
(b) if a relay agent receives the message but the relay agent does not identify itself as the target of the message, and the message is not a Relay-reply message.
with:
(b) if the relay agent receives a message which it is not the target of, and the message type is not Relay-reply.

Ian

From: "Bernie Volz (volz)" <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, 27 November 2013 22:31
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [dhcwg] WGLC for draft-ietf-dhc-dhcpv6-unknown-msg-03 - Respond by Dec 2, 2013

This is friendly reminder that we need responses by end of day (anywhere in the world) December 2nd. Sorry for the ‘late’ reminder for those in the US enjoying Thanksgiving.

So far, there has only been Sheng’s (document shepherd) comments.

<WG Co-Chair Hat OFF>
I add my support for this document (with Sheng’s comments addressed as he captured my nits and more).

-          Bernie

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Bernie Volz (volz)
Sent: Monday, November 18, 2013 12:15 PM
To: [email-masked]<mailto:[email-masked]>
Subject: [dhcwg] WGLC for draft-ietf-dhc-dhcpv6-unknown-msg-03 - Respond by Dec 2, 2013

Thanks,

-          Tomek & Bernie

---

From: "Yuchi Chen" <[email-masked]>
Date: Thu, 28 Nov 2013 16:58:35 +0800

Hi all,

From my point of view, this document is an necessary update to the RFC3315.  I support moving this document forward.

Best regards!

Yuchi Chen

From: Bernie Volz (volz)
Date: 2013-11-28 05:31
To: [email-masked]

<WG Co-Chair Hat OFF>
 
-          Bernie

 
 
Thanks,
 
-          Tomek & Bernie

---

From: Marcin Siodelski <[email-masked]>
Date: Thu, 28 Nov 2013 12:55:11 +0100

I have read the document and I support it move forward.

Can you please clarify those two issues below? Perhaps I misunderstood
something...

ISSUE 1

In the "3.  Problem Statement:"

"But RFC3315 doesn't explicitly describe how the relay
   agent can find out it should send a message towards the server or
   towards the client."

I am a little confused. The RFC3315 pretty much solves the problem in
section 20. The proof is that you actually refer to appropriate
sections of RFC3315 in sections 4.2 and 4.3 of your draft. Did I miss
something?

ISSUE 2
In this sentence:

"In the case that a new type of relay message is sent to a relay agent
   but the relay agent doesn't recognize it, the message is put into a
   Relay-forward message and sent to the server."

Why "new type of relay message", not "new type of message"? I don't
quite understand what the relay message is in this context.

Thanks.
Marcin

On Wed, Nov 27, 2013 at 10:31 PM, Bernie Volz (volz) <[email-masked]> wrote:
> This is friendly reminder that we need responses by end of day (anywhere in
> the world) December 2nd. Sorry for the ‘late’ reminder for those in the US
> enjoying Thanksgiving.
>
>
>

---

From: Qi Sun <[email-masked]>
Date: Thu, 28 Nov 2013 21:15:55 +0800

Hi Marcin, 

Thanks for your comments. Please see inline.

> sections of RFC3315 in sections 4.2 and 4.3 of your draft. Did I miss

[Qi] Maybe making this sentence only focus on the unknown message types would be clearer. We will work on that. 

> quite understand what the relay message is in this context.

[Qi] A new type of relay message targets at the relay agent. If a relay agent recognizes the message, then it should consume the message. Otherwise, the relay just sends the message to the server (in a Relay-forward message), so that the server gets the information that this relay doesn't support the new relay agent message. 
In Bullet (b), the message doesn't take the relay agent as the target. 
If this part isn't clear enough, we can improve it.

Thanks!
Qi

> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg

---

From: Ted Lemon <[email-masked]>
Date: Thu, 28 Nov 2013 10:21:33 -0500

> (b) if the relay agent receives a message which it is not the target of, and the message type is not Relay-reply.

The RFC editor is going to want to fix that dangling preposition.   Might be better to come up with a different wording now... :)

---

From: Tom Taylor <[email-masked]>
Date: Thu, 28 Nov 2013 11:42:00 -0500

On 28/11/2013 10:21 AM, Ted Lemon wrote:
>> (b) if the relay agent receives a message which it is not the
>> target of, and the message type is not Relay-reply.
>
> The RFC editor is going to want to fix that dangling preposition.
> Might be better to come up with a different wording now... :)
>
...
[PTT] Had the same reaction, though of course, there was Churchill's 
famous retort: "That is a criticism up with which I will not put." Anyway:

"(b) if the relay agent receives a message for which it is not the
 >> target, and the message type is not Relay-reply.

---

From: <[email-masked]>
Date: Thu, 28 Nov 2013 17:45:11 +0100

What about?:

(b) If a relay agent is not the target of a message it has received, and
the message type is not Relay-reply.

Cheers,
Ian

On 28/11/2013 16:21, "Ted Lemon" <[email-masked]> wrote:

>> (b) if the relay agent receives a message which it is not the target
>>of, and the message type is not Relay-reply.
>
>The RFC editor is going to want to fix that dangling preposition.   Might
>be better to come up with a different wording now... :)
>
>

---

From: Ted Lemon <[email-masked]>
Date: Thu, 28 Nov 2013 12:17:51 -0500

On Nov 28, 2013, at 11:42 AM, Tom Taylor <[email-masked]> wrote:
> [PTT] Had the same reaction, though of course, there was Churchill's famous retort: "That is a criticism up with which I will not put." Anyway:

One does indeed want to use one's judgment in matters having to do with dangling prepositions. But in this case I think it's worth doing it "right."

:)